<?php
/**
 * Plugin Name: Google Analytics Scripts for my own site
 * Description: Includes the Google Analytics code for within the header unless the visitor is a logged in user. If the user still has the page open after 30 seconds, then an event TOP (time on page) will be sent every 30 seconds during half an hour.
 * Version: 0.0.1
 * Author: <a href="http://gsm.fjellner.com/">Tor-Bj&ouml;rn Fjellner</a>
 * License: GPL2
 */

function mysite_analytics_code() {  //Declares the function, which will be included in the header by the add_action command below
	if (! is_user_logged_in()) {    //The javascript will be output to the client only if user is not logged in
		echo "
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-xxxxxxx-1', 'mysite.com');   //ENTER Your own site information from google.com/analytics
  ga('send', 'pageview');

  var myintervalid = setInterval(function() {ga('send', 'event', 'top', 'top', 'top');},30000);
  setTimeout(function(){clearInterval(myintervalid);},1800000);
</script>
";
};
}

add_action('wp_head', 'mysite_analytics_code');